﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.Bandits {
  // this interface represents a policy for bandit problems
  public interface IBanditPolicy {
    int SelectAction(Random random, IEnumerable<IBanditPolicyActionInfo> actions);
    IBanditPolicyActionInfo CreateActionInfo();
  }
}
