﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HeuristicLab.Algorithms.GrammaticalOptimization {
  public interface ISolver {
    event Action<string, double> FoundNewBestSolution;
    event Action<string, double> SolutionEvaluated;
    void Run(int maxEvaluations);
  }
}
